List reservations
curl --request GET \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/reservations \
--header 'Authorization: Bearer <token>'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/reservations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "gb300-nvl72",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-04-28T10:45:45Z",
"createdBy": "john.doe@example.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy",
"tags": [
{
"name": "workload",
"value": "training"
}
]
},
"spec": {
"regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
"accelerator": "GB300",
"unit": "NVL72",
"count": 2
},
"status": {
"machineFlavorId": "g.72.gb300.pinned",
"claimedUnitCount": 2,
"topologyHash": "sha256:4fd768f7a87c07aa81e7af8a765cdeaa0f7fe671052f3acbeec918522d026d2e",
"topologyObservedAt": "2026-05-14T10:00:00Z"
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Reservations
List reservations
List reservations.
GET
/
api
/
v2
/
reservations
List reservations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
A set of tags to match against resources in the form "name=value", thus when encoded you get "?tag=foo%3Dcat&tag=bar%3Ddog".
Allows resources to be filtered by organization.
Allows resources to be filtered by project.
Allows resources to be filtered by region.
Was this page helpful?
⌘I